/**
 *  Условия и параметры для встреч с бандитами
 *  логика в BanditPlugin
 */
var BanditConstants = {
    DISTANCE_MIN: 100, // минимальное расстояние между стычками и от городов
    EVENT_PROBABILITY: 0.1, // базовая вероятность случайного события в текущий день
    ATTACK_PROBABILITY: 0.75, // вероятность атаки

    GOLD_PER_FIREPOWER: 5, // соотношение золота к количеству стволов - для генерации золота

    FIGHT_DEFENSE_K: 0.5, // Понижающий коээфициент для лута и потерь при обороне
    RUN_DAMAGE_K: 0.7, // Понижающий коээфициент для дамага по команде при побеге

    // коэффициенты потерь при побеге
    // конкретно тут логика такая, что еду и деньги мы прячем лучше
    // а бедным волам-браминам тяжело уворачиваться от пуль
    // ну и вообще бежать с грузом
    RUN_CARGO_LOST_K: 0.75, // для товаров
    RUN_OXES_LOST_K: 0.75, // для волов
    RUN_FOOD_LOST_K: 0.85, // для еды
    RUN_GOLD_LOST_K: 0.95, // для денег


    // Текст для голодного найма
    HIRE_INFO: "Людей для найма: $1. Оружия при них: $2.",
    HIRE_PRICE_INFO: "Цена найма: $$1",

    HIRE_PRICE_PER_PERSON: 60, // базовая ставка найма бандитов за 1 голову


    NOTICE_MESSAGE: "Вы наткнулись на бандитов!", // сообщение о том, что вы заметили бандитов, а они вас
    MEET_UP_CHOICE: "Подойти", // текст на кнопке для встречи с бандитами, есть шанс разойтись миром
    RUN_CHOICE: "Бежать", // текст на кнопке для побега. Теперь они в любом случае попробуют вас атаковать

    HUNGER_CARAVAN_FOOD_PER_PERSON_THRESHOLD: 3, // число порций еды на человека в караване, с которых считается, что у вас относительно много еды
    HUNGER_THRESHOLD: 0.5, // начиная с этой величины и меньше бандиты считаются голодными
    HUNGER_DEATH_THRESHOLD: 0.2, // начиная с этой величины бандиты считаются очень голодными и готовы присоединиться бесплатно

    HUNGER_GANG_MESSAGE: "Ослепленные вашим оружием и воодушевленные вашими запасами еды, бандиты решили примкнуть к вам!", // сообщение, что бандиты оказались голодны и слабовооружены, поэтому хотят примкнуть к вам за дешевый прайс, может и бесплатно
    HUNGER_HIRE_CHOICE: "Нанять $1 человек за $$2", //  вместо $1 будет вычисленное число
    HIRE_DECLINE_CHOICE: "Отказать", //
    HUNGER_ATTACK_CHOICE: "Атаковать слабаков", // Во время атаки могут погибнуть ваши люди, но вы получаете оружие и деньги

    ATTACK_MESSAGE: "Увидев вашу слабость, подонки нападают!", // и когда бежишь, и когда встречаешься, но слаб
    ATTACK_CHOICE: "Принять бой",

    // на случай максимального голода - бандиты просятся бесплатно
    HUNGER_MAX_DECLINE_MESSAGE: "Бандиты догоняют вас и просят принять к себе",
    HUNGER_MAX_DECLINE_DESC: "Если вы откажете, мы умрем с голоду в этой проклятой пустоши!",
    // варианты выбора  такие же как и при первом голодном найме

    RUN_MESSAGE: "Вы позорно бежали, преследуемые улюлюкающими бандитами",

    // тексты для разных результов боя
    FIGHT_LOST_MESSAGE: "Поражение!",
    FIGHT_LOST_DESC: "Бандиты одержали победу в бою",
    FIGHT_WIN_MESSAGE: "Победа!",
    FIGHT_WIN_DESC: "Вы одержали славную победу над бесславными ублюдками",

    // следующие тексты могут быть и при неудачном бое, и при побеге, просто различаются количеством
    LOST_WEAPON_MESSAGE: "Потеряно оружия: $1", //  вместо $1 будет вычисленное число
    LOST_CREW_MESSAGE: "Погибло ваших людей: $1",
    LOST_MONEY_MESSAGE: "Потеряно денег: $$1",

    // это тексты - для победы
    LOOT_TITLE: "С павших бандитов вы подняли: ",
    LOOT_WEAPON_MESSAGE: "оружие: $1", //  вместо $1 будет вычисленное число
    LOOT_MONEY_MESSAGE: "деньги: $$1",

    HIRE_FINISHED_TEXT: "Бандиты перешли на вашу сторону. Людей: +$1, Оружия: +$2",

    // финальная кнопка, все закончилось
    EXIT_BUTTON: "Дальше"
};


// Возможное вооружение бандитов
// можно добавлять свои варианты, сохраняя порядок возрастания
var BanditFirepowers = [
    'безоружны',
    'слабо вооружены',
    'вооружены',
    'хорошо вооружены',
    'вооружены до зубов'
];

// Возможное число бандитов
// можно добавлять свои варианты, сохраняя порядок возрастания
var BanditNumbers = [
    'очень мало',
    'мало',
    'достаточно',
    'много',
    'очень много'
];

// Просто дополнительное описание бандитов, берется рандомом, порядок не важен
// пожалуй, важно сохранять нейтрально-оценивающий характер
var BanditAtmospheric = [
    'ковыряются в зубах и смотрят на вас с плотоядным интересом',
    'оценивающе смотрят на ваш груз и стволы',
    'видят ваш караван',
    'возбужденно перекликиваются между собой и тычут пальцами в вашу сторону',
    'заметили вас и направляются к каравану'
];


// разные варианты для поражения, выбираются случайно
var BanditLostMessages = [
    'Вы потерпели унизительное поражение. Ваш караван уничтожен.',
    'Ваши кости остались лежать в этой пустоши, вместе с костями ваших браминов.',
    'Бандиты убили всех людей в вашем караване.',
    'Караван погиб в стычке с рейдерами',
    'Увы, никто не узнает, где ваша могила',
    'Радиоактивный ветер воет над вашим остывающим телом. Все, что у вас было - отобрали бандиты. Включая жизнь.',
    'Следующий караван найдет ваши кости и поймет, что эта дорога опасна',
    'Пустынные бродяги торопливо обшаривают ваши тела и скрываются вдали'
];

// разные варианты для поражения, выбираются случайно
var BanditWinMessages = [
    'Вы одержали славную победу, уничтожив всех бандитов.',
    'Подлые налетчики убиты в честном бою.',
    'Чудом выжив, вы приходите в себя после перестрелки и понимаете, что победили в этот раз.',
    'Хо-хо! Караван выстоял в этой битве. Пришла пора обшарить трупы.',
    'Никто не смеет недооценивать мою мощь!',
    'Хотели напасть на мою прелесссть! Ха, теперь вы мертвы. Посмотрим, что у вас в карманцах!',
    'Смерть бандитам. Караванский уклад един!'
];

// Разные варианты просьб для очень голодных бандитов

var BanditDeathHungerMessages = [
    'Если вы не возьмете нас, мы погибнем здесь от голода, в этой проклятой пустыне!',
    'Возьмите нас с собой! Мы согласны служить за еду, только не оставляйте нас на голодную смерть.',
    'Мы не видели еды уже восемь дней. Если вы откажете нам, нам придется начать есть друг друга... или умереть от голода.',
    'Пожалуйста... Умоляем вас... Иначе мы умрем тут',
    'Еда... Мы готовы сделать что угодно за еду',
];

/*
 *   Возможные варианты бандитов
 * */
var BanditEvents = [
    {
        text: 'Радиоактивные гули',
        crew: 4,
        firepower: 3
    }, {
        text: 'Рейдеры',
        crew: 6,
        firepower: 12
    }, {
        text: 'Бродяги',
        crew: 2,
        firepower: 1
    }, {
        text: 'Дикари',
        crew: 8,
        firepower: 4
    },
];